about summary refs log tree commit diff stats
path: root/modules/home/soispha/conf/xdg/url_handler.sh
diff options
context:
space:
mode:
authorBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-20 16:06:57 +0200
committerBenedikt Peetz <benedikt.peetz@b-peetz.de>2024-05-20 16:14:24 +0200
commit5156e1aae36a153be98b6832ab3ced7be2b2faee (patch)
tree3f050d3bc567af4c72f87e0925d21c3521436e45 /modules/home/soispha/conf/xdg/url_handler.sh
parentrefactor(hm/conf/zsh): Remove old zsh-prompt file (diff)
downloadnixos-config-5156e1aae36a153be98b6832ab3ced7be2b2faee.zip
refactor(hm): Rename to `modules/home`
Diffstat (limited to 'modules/home/soispha/conf/xdg/url_handler.sh')
-rwxr-xr-xmodules/home/soispha/conf/xdg/url_handler.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/modules/home/soispha/conf/xdg/url_handler.sh b/modules/home/soispha/conf/xdg/url_handler.sh
new file mode 100755
index 00000000..95eedffb
--- /dev/null
+++ b/modules/home/soispha/conf/xdg/url_handler.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env dash
+
+# shellcheck source=/dev/null
+SHELL_LIBRARY_VERSION="2.1.2" . %SHELL_LIBRARY_PATH
+
+project="$(echo "%ALL_PROJECTS_PIPE|nvim|zathura|" | rofi -sep "|" -dmenu)"
+
+if [ "$project" = "nvim" ]; then
+    "$TERMINAL" -e nvim "$1"
+elif [ "$project" = "zathura" ]; then
+    zathura "$1"
+elif [ "$project" ]; then
+    firefox -P "$project" "$1"
+else
+    notify-send "(URL HANDLER) No project selected" && exit 1
+fi
+
+# vim: ft=sh